
From: Arjan van de Ven <arjanv@redhat.com>

Make it compile with CONFIG_HIGHMEM.


---

 25-akpm/mm/hugetlb.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN mm/hugetlb.c~hugetlb-consolidation-highmem-fix mm/hugetlb.c
--- 25/mm/hugetlb.c~hugetlb-consolidation-highmem-fix	2004-04-09 04:03:30.838400312 -0700
+++ 25-akpm/mm/hugetlb.c	2004-04-09 04:03:30.841399856 -0700
@@ -140,11 +140,11 @@ static int try_to_free_low(unsigned long
 	for (i = 0; i < MAX_NUMNODES; ++i) {
 		struct page *page;
 		list_for_each_entry(page, &hugepage_freelists[i], lru) {
-			if (PageHighmem(page))
+			if (PageHighMem(page))
 				continue;
 			list_del(&page->lru);
 			update_and_free_page(page);
-			--free_huge_pages
+			--free_huge_pages;
 			if (!--count)
 				return 0;
 		}

_
